//
//  ViewController.m
//  CustomShare
//
//  Created by Davide Di Febbo on 12/07/12.
//  Copyright (c) 2012 LOL s.p.a. All rights reserved.
//

#import "ViewController.h"
#import "AppDelegate.h"
#import "SecondViewController.h"
#import "Item.h"

@interface ViewController ()

@end

@implementation ViewController
@synthesize popoverController;


- (void)viewDidLoad {
    
    [super viewDidLoad];
    
    SVSegmentedControl *redSC = [[SVSegmentedControl alloc] initWithSectionTitles:[NSArray arrayWithObjects:@"Facebook", @"Twitter", nil]];
    [redSC addTarget:self action:@selector(segmentedControlChangedValue:) forControlEvents:UIControlEventValueChanged];
	
	redSC.crossFadeLabelsOnDrag = NO;
	redSC.thumb.tintColor = [UIColor colorWithRed:0.6 green:0.2 blue:0.2 alpha:1];
	redSC.selectedIndex = 0;
	
	[scrollView addSubview:redSC];
	
	redSC.center = CGPointMake(160, 17);
    
    appdelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];


    scrollView.contentSize = CGSizeMake(960, 460);
    scrollView.contentOffset = CGPointMake(320, 0);
    scrollView.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage imageNamed:@"wall.jpg"]];
    musicService.layer.cornerRadius = 5;
    musicService.layer.masksToBounds = YES;
    photoService.layer.cornerRadius = 5;
    photoService.layer.masksToBounds = YES;
    musicService.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage imageNamed:@"popup.jpg"]];
    photoService.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage imageNamed:@"popup.jpg"]];
    infoView.layer.cornerRadius = 5;
    infoView.clipsToBounds = YES;
}

-(IBAction)nextBtnAction:(id)sender{
    
//    float coordinate = 2.0f;
    scrollMove=320;

    [scrollView setContentOffset:CGPointMake(scrollMove , 0) animated:YES];
    
    
}
-(IBAction)previousBtnAction:(id)sender{
//    float coordinate = 1.0f;
    scrollMove=0;
    [scrollView setContentOffset:CGPointMake(scrollMove, 0) animated:YES];
//    scrollMove=scrollMove+320;
}

-(IBAction)nextBtnAction2:(id)sender{
//    float coordinate = 1.0f;
    
    scrollMove=640;
    [scrollView setContentOffset:CGPointMake(scrollMove, 0) animated:YES];
//    scrollMove=scrollMove+320;
}
-(IBAction)previousBtnAction2:(id)sender{
//    float coordinate = 1.0f;
    scrollMove=320;
    [scrollView setContentOffset:CGPointMake(scrollMove, 0) animated:YES];
//    scrollMove=scrollMove+0;
}


- (void)segmentedControlChangedValue:(SVSegmentedControl*)segmentedControl {
    if (segmentedControl.selectedIndex == 0) {
        [[NSUserDefaults standardUserDefaults] setBool:NO forKey:@"isTwitterDB"];
        [[NSUserDefaults standardUserDefaults] synchronize];
    }
    else {
        [[NSUserDefaults standardUserDefaults] setBool:YES forKey:@"isTwitterDB"];
        [[NSUserDefaults standardUserDefaults] synchronize];
    }
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

-(IBAction)DDF95:(id)sender {
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:@"http://www.twitter.com/DDF95"]];
}

-(IBAction)Gimmi94:(id)sender {
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:@"http://www.twitter.com/Gimmi94"]];
}

-(IBAction)CustomShareApp:(id)sender {
    [[UIApplication sharedApplication] openURL:[NSURL URLWithString:@"http://www.twitter.com/CustomShareApp"]];
}

- (IBAction)facebook:(id)sender {
    
    SLComposeViewController *tendinaFacebook = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];
    [self presentViewController:tendinaFacebook animated:YES completion:nil];
}

- (IBAction)twitter:(id)sender {
    
    SLComposeViewController *tendinaTwitter = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter]; //stessa cosa di Facebook, basta cambiare il serviceType con quello di Twitter
        
    [self presentViewController:tendinaTwitter animated:YES completion:nil];
}

-(IBAction)hideMusic:(id)sender {
    musicService.hidden = YES;
}

-(IBAction)hidePhoto:(id)sender {
    photoService.hidden = YES;
}

-(IBAction)showMusicService:(id)sender {
    musicService.hidden = NO;
}
- (IBAction)sendMusicTweet:(id)sender {
    musicService.hidden = YES;
    SLComposeViewController *tendinaTwitter = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];     
    if ([[MPMusicPlayerController iPodMusicPlayer] playbackState] == MPMusicPlaybackStatePlaying)
    {
        MPMediaItem *theSong = [[MPMusicPlayerController iPodMusicPlayer] nowPlayingItem];
        NSString *theTitle   = [theSong valueForProperty:MPMediaItemPropertyTitle];
        NSString *theArtist  = [theSong valueForProperty:MPMediaItemPropertyArtist];
//        NSString *theAlbum  = [theSong valueForProperty:MPMediaItemPropertyAlbumTitle];
        NSString *text = [NSString stringWithFormat: NSLocalizedString (@"#NowPlaying %@ - %@", nil), theArtist, theTitle];
        [tendinaTwitter setInitialText:text];
        [self presentViewController:tendinaTwitter animated:YES completion:nil];
    }
    else
    {
        UIAlertView *NoMusica = [[UIAlertView alloc] initWithTitle: NSLocalizedString (@"Ops", nil) message: NSLocalizedString (@"Assicurati che, prima di usare questa funzione, sia in riproduzione una canzone!", nil) delegate:nil
                                                 cancelButtonTitle:nil
                                                 otherButtonTitles:@"Ok", nil];
        [NoMusica show];
    }
}

- (IBAction)sendMusicPost:(id)sender {
    musicService.hidden = YES;
    SLComposeViewController *tendinaTwitter = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];
    if ([[MPMusicPlayerController iPodMusicPlayer] playbackState] == MPMusicPlaybackStatePlaying)
    {
        MPMediaItem *theSong = [[MPMusicPlayerController iPodMusicPlayer] nowPlayingItem];
        NSString *theTitle   = [theSong valueForProperty:MPMediaItemPropertyTitle];
        NSString *theArtist  = [theSong valueForProperty:MPMediaItemPropertyArtist];
//        NSString *theAlbum  = [theSong valueForProperty:MPMediaItemPropertyAlbumTitle];
        NSString *text = [NSString stringWithFormat: NSLocalizedString (@"#NowPlaying %@ - %@", nil), theArtist, theTitle];
        [tendinaTwitter setInitialText:text];
        [self presentViewController:tendinaTwitter animated:YES completion:nil];
    }
    else
    {
        UIAlertView *NoMusica = [[UIAlertView alloc] initWithTitle: NSLocalizedString (@"Ops", nil) message: NSLocalizedString (@"Assicurati che, prima di usare questa funzione, sia in riproduzione una canzone!", nil) delegate:nil
                                                 cancelButtonTitle:nil
                                                 otherButtonTitles:@"Ok", nil];
        [NoMusica show];
    }
}


-(IBAction)showPhotoService:(id)sender {
    photoService.hidden = NO;
}

-(IBAction)photoT:(id)sender {
    photoService.hidden = YES;
    [self performSelector: @selector(dialogOtherAction)];
    [[NSUserDefaults standardUserDefaults] setBool:YES forKey:@"isTwitter"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

-(IBAction)photoF:(id)sender {
    photoService.hidden = YES;
    [self performSelector: @selector(dialogOtherAction)];
    [[NSUserDefaults standardUserDefaults] setBool:NO forKey:@"isTwitter"];
    [[NSUserDefaults standardUserDefaults] synchronize];
}

- (void)dialogOtherAction {
	UIActionSheet *actionSheet = [[UIActionSheet alloc] initWithTitle:nil
                                                             delegate:self 
                                                    cancelButtonTitle:NSLocalizedString(@"Annulla", @"")
                                               destructiveButtonTitle:nil
                                                    otherButtonTitles:NSLocalizedString(@"Scegli dalla libreria", @""),
                                  NSLocalizedString(@"Scatta una foto", @""),nil];
	actionSheet.actionSheetStyle = UIActionSheetStyleBlackTranslucent;
	[actionSheet showInView:self.view];
}

- (void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex
{
	if (buttonIndex == 0)
	{
        picker = [[UIImagePickerController alloc] init];
        picker.sourceType =  UIImagePickerControllerSourceTypePhotoLibrary;
        picker.allowsEditing = NO;
        picker.delegate = self;
        
        if (IS_IPHONE)
        {   
            [self presentViewController:picker animated:YES completion:nil];
        }
        else 
        {
            CGRect rect = CGRectMake(200, 200, 300, 300);
            if (popoverController) [popoverController dismissPopoverAnimated:NO];
            popoverController = [[UIPopoverController alloc] initWithContentViewController:picker];
            popoverController.delegate = self;
            [popoverController presentPopoverFromRect:rect inView:self.view permittedArrowDirections:NO animated:YES];
        }
	}
	else if (buttonIndex == 1)
	{
        picker = [[UIImagePickerController alloc] init];
        picker.sourceType = UIImagePickerControllerSourceTypeCamera;
        picker.delegate = self;
        picker.allowsEditing = NO;
        [self presentViewController:picker animated:YES completion:nil];
    }
}

-(void)actionSheet:(UIActionSheet *)actionSheet didDismissWithButtonIndex:(NSInteger)buttonIndex {
    [actionSheet dismissWithClickedButtonIndex:0 animated:YES];
}

- (void)popoverControllerDidDismissPopover:(UIPopoverController *)popoverController
{
	picker = nil;
}

- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info
{
    if (IS_IPHONE) {
        [self dismissViewControllerAnimated:YES completion:nil];
    }
    else {
        [popoverController dismissPopoverAnimated:YES];
        [self dismissViewControllerAnimated:YES completion:nil];
    }
    
    UIImage *image = [info objectForKey:@"UIImagePickerControllerOriginalImage"];
    [self performSelector: @selector(showSheetwithPhoto:) withObject: image afterDelay: 1.0];
}

-(void)showSheetwithPhoto:(UIImage*)image {
    
    if ([[NSUserDefaults standardUserDefaults] boolForKey:@"isTwitter"] == YES) {
        SLComposeViewController *tendinaTwitter = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];        [tendinaTwitter addImage:image];
        [self presentViewController:tendinaTwitter animated:YES completion:nil];
    }
    else {
        SLComposeViewController *tendinaFacebook = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];
        [tendinaFacebook addImage:image];
        [self presentViewController:tendinaFacebook animated:YES completion:nil];
    }
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [appdelegate.array count];
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *Cellidentifier = @"Cell";
    UITableViewCell *cell = (UITableViewCell *) [tableView dequeueReusableCellWithIdentifier:Cellidentifier];
    tableView.backgroundView = nil;
    
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:Cellidentifier];
    }
    
    Item *Obj = [appdelegate.array objectAtIndex:indexPath.row];
    
    cell.textLabel.text = Obj.name;
    cell.textLabel.shadowColor = [UIColor blackColor];
    cell.textLabel.shadowOffset = CGSizeMake(1,1);    
    cell.textLabel.textColor = [UIColor whiteColor];
    cell.textLabel.font = [UIFont fontWithName:@"Helvetica" size:15.0];
    cell.textLabel.textAlignment = NSTextAlignmentCenter;
    cell.contentView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"Normal Blue Button.png"]];
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if ([[NSUserDefaults standardUserDefaults] boolForKey:@"isTwitterDB"] == YES) {
SLComposeViewController *tendinaTwitter = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeTwitter];
        Item *Obj = [appdelegate.array objectAtIndex:indexPath.row];
        [tendinaTwitter setInitialText:Obj.address];
        [self presentViewController:tendinaTwitter animated:YES completion:nil];
    }
    else {
SLComposeViewController *tendinaFacebook = [SLComposeViewController composeViewControllerForServiceType:SLServiceTypeFacebook];        Item *Obj = [appdelegate.array objectAtIndex:indexPath.row];
        [tendinaFacebook setInitialText:Obj.address];
        [self presentViewController:tendinaFacebook animated:YES completion:nil];

    }
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
}

- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath {
    
    if (editingStyle == UITableViewCellEditingStyleDelete) {
		//Item *Obj = [appdelegate.array objectAtIndex:indexPath.row];
		[appdelegate removeitem:[appdelegate.array objectAtIndex:indexPath.row]];
        
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath]withRowAnimation:UITableViewRowAnimationFade];
    }   
    
}


@end
